de.caff.util.settings.swing

## Class AbstractBasicGroupEditor

- java.lang.Object
- - de.caff.util.settings.swing.AbstractBasicEditorProvider
  - - de.caff.util.settings.swing.AbstractBasicGroupEditor

- All Implemented Interfaces:
    EditorProvider
  Direct Known Subclasses:
    PanelGroupEditor, TabbedGroupEditor

      abstract class AbstractBasicGroupEditor
      extends AbstractBasicEditorProvider

  Base class for editors which handle a group of preference properties.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBasicGroupEditor(java.lang.String baseTag, java.util.Locale l)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addEditorProvider(EditorProvider provider)` Add an editor provider.
    `javax.swing.JComponent` | `getLabel()` Get a label component for this editor.
    `java.lang.String` | `getTitleText()` Get a title text for this editor component.
    `void` | `goodBye()` Called when the editor provider is no longer used.
    `boolean` | `isValidValue()` Is the value in the editor component valid?
    `void` | `reset()` Reset the value in the editor to the basic value.
    `void` | `save()` Set the basic value from the editor.

    - ### Methods inherited from class de.caff.util.settings.swing.AbstractBasicEditorProvider

      `getDescription, getLabelText, getLabelTextWithPunctuation, getToolTipText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditorProvider

      `getEditor`

- - ### Constructor Detail

    - #### AbstractBasicGroupEditor

          public AbstractBasicGroupEditor(java.lang.String baseTag,
                                          java.util.Locale l)

      Constructor.
      Parameters:
        `baseTag` - basic i18n tag
        `l` - locale

  - ### Method Detail

    - #### getLabel

          @Nullable
          public javax.swing.JComponent getLabel()

      Get a label component for this editor. If the returned component is null the `editor component` is inserted without a label.
      Specified by:
        `getLabel` in interface `EditorProvider`
      Overrides:
        `getLabel` in class `AbstractBasicEditorProvider`
      Returns:
        something used as a label component, or `null`

    - #### getTitleText

          public java.lang.String getTitleText()

      Get a title text for this editor component.
      Specified by:
        `getTitleText` in interface `EditorProvider`
      Overrides:
        `getTitleText` in class `AbstractBasicEditorProvider`
      Returns:
        a title text or `null` if a title makes no sense

    - #### isValidValue

          public boolean isValidValue()

      Is the value in the editor component valid?
      Specified by:
        `isValidValue` in interface `EditorProvider`
      Overrides:
        `isValidValue` in class `AbstractBasicEditorProvider`
      Returns:
        the answer

    - #### reset

          public void reset()

      Reset the value in the editor to the basic value.

    - #### save

          public void save()

      Set the basic value from the editor.

    - #### goodBye

          public void goodBye()

      Called when the editor provider is no longer used.

    - #### addEditorProvider

          protected void addEditorProvider(EditorProvider provider)

      Add an editor provider.
      Parameters:
        `provider` - provider to add